function [Y_std,stdYvec]=standardize(Y_nstd,dim)

stdY=nanstd(Y_nstd,0,dim);
stdYvec=stdY(:);

if dim>1
Y_std=Y_nstd./repmat(  stdY,1,size(Y_nstd,dim));
else
    Y_std=Y_nstd./repmat(  stdY,size(Y_nstd,dim),1);
end

